'name': 'pr2_calibration'
'packages':
  'calibration_msgs':
    'authors': 'Vijay Pradeep'
    'brief': 'Msgs for full robot calibration'
    'license': 'BSD'
    'name': 'calibration_msgs'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id001
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id001
    'stack': 'pr2_calibration'
    'url': 'http://pr.willowgarage.com/wiki/calibration_msgs'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'dense_laser_assembler':
    'authors': 'Vijay Pradeep'
    'brief': 'Build dense laser range and intensity clouds'
    'license': 'BSD'
    'name': 'dense_laser_assembler'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id002
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id002
    'stack': 'pr2_calibration'
    'url': !!null 'null'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'image_cb_detector':
    'authors': 'Vijay Pradeep and Eitan Marder-Eppstein'
    'brief': 'Extract checkerboards from images'
    'license': 'BSD'
    'name': 'image_cb_detector'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id003
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id003
    'stack': 'pr2_calibration'
    'url': 'http://ros.org/wiki/image_cb_detector'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'interval_intersection':
    'authors': 'Romain Thibaux'
    'brief': 'Compute the intersection of many interval msgs'
    'license': 'BSD'
    'name': 'interval_intersection'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id004
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id004
    'stack': 'pr2_calibration'
    'url': 'http://pr.willowgarage.com/wiki/interval_intersection'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'joint_states_settler':
    'authors': 'Vijay Pradeep'
    'brief': 'Detect when a set of joints has stopped moving'
    'license': 'BSD'
    'name': 'joint_states_settler'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id005
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id005
    'stack': 'pr2_calibration'
    'url': 'http://pr.willowgarage.com/wiki/joint_states_settler'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'laser_cb_detector':
    'authors': 'Vijay Pradeep'
    'brief': 'Extracts checkerboard corners from a dense laser snapshot'
    'license': 'BSD'
    'name': 'laser_cb_detector'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id006
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id006
    'stack': 'pr2_calibration'
    'url': 'http://pr.willowgarage.com/wiki/laser_cb_detector'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'laser_joint_processor':
    'authors': 'Vijay Pradeep'
    'brief': 'Get joint angles from detcted corners in a snapshot'
    'license': 'BSD'
    'name': 'laser_joint_processor'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id007
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id007
    'stack': 'pr2_calibration'
    'url': 'http://ros.org/wiki/laser_joint_processor'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'laser_joint_projector':
    'authors': 'Vijay Pradeep'
    'brief': 'Projects laser readings into a point cloud, based on a set of recorded
      joint angles'
    'license': 'BSD'
    'name': 'laser_joint_projector'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id008
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id008
    'stack': 'pr2_calibration'
    'url': 'http://ros.org/wiki/laser_joint_projector'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'monocam_settler':
    'authors': 'Vijay Pradeep'
    'brief': 'Waits for features in a single camera to settle'
    'license': 'BSD'
    'name': 'monocam_settler'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id009
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id009
    'stack': 'pr2_calibration'
    'url': 'http://pr.willowgarage.com/wiki/monocam_settler'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'pr2_calibration_estimation':
    'authors': 'Vijay Pradeep'
    'brief': 'Runs an optimization to estimate the PR2''s kinematic parameters'
    'license': 'BSD'
    'name': 'pr2_calibration_estimation'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id010
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id010
    'stack': 'pr2_calibration'
    'url': 'http://ros.org/wiki/pr2_calibration_estimation'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'pr2_calibration_executive':
    'authors': 'Vijay Pradeep'
    'brief': 'Executive for capture data for running PR2''s full system calibration'
    'license': 'BSD'
    'name': 'pr2_calibration_executive'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id011
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id011
    'stack': 'pr2_calibration'
    'url': 'http://ros.org/wiki/pr2_calibration_executive'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'pr2_calibration_launch':
    'authors': 'Vijay Pradeep'
    'brief': 'Launch files and configuration files needed to run the calibration pipeline
      on PR2'
    'license': 'BSD'
    'name': 'pr2_calibration_launch'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id012
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id012
    'stack': 'pr2_calibration'
    'url': 'http://pr.willowgarage.com/wiki/pr2_calibration_launch'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'pr2_calibration_propagation':
    'authors': 'Vijay Pradeep'
    'brief': 'Tools for pushing a new calibration into the URDF and wge100 cameras'
    'license': 'BSD'
    'name': 'pr2_calibration_propagation'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id013
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id013
    'stack': 'pr2_calibration'
    'url': 'http://ros.org/wiki/pr2_calibration_propagation'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'pr2_dense_laser_snapshotter':
    'authors': 'Vijay Pradeep'
    'brief': 'Generates dense representation of laser data for PR2''s tilting laser'
    'license': 'BSD'
    'name': 'pr2_dense_laser_snapshotter'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id014
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id014
    'stack': 'pr2_calibration'
    'url': 'http://pr.willowgarage.com/wiki/pr2_dense_laser_snapshotter'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'pr2_se_calibration_launch':
    'authors': 'Adam Leeper, Vijay Pradeep'
    'brief': 'pr2_se_calibration_launch'
    'license': 'BSD'
    'name': 'pr2_se_calibration_launch'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id015
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id015
    'stack': 'pr2_calibration'
    'url': 'http://ros.org/wiki/pr2_se_calibration_launch'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
  'settlerlib':
    'authors': 'Vijay Pradeep'
    'brief': 'A set of routines to help with creating a settler'
    'license': 'BSD'
    'name': 'settlerlib'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id016
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id016
    'stack': 'pr2_calibration'
    'url': 'http://pr.willowgarage.com/wiki/settlerlib'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
'stacks':
  'pr2_calibration':
    'authors': 'Maintained by Vijay Pradeep'
    'brief': 'Tools for calibrating the PR2''s kinematics'
    'description': "Provides a toolchain running through the robot calibration process.\
      \ This\n     involves capturing pr2 calibration data, estimating pr2 parameters,\
      \ and\n     then updating the PR2 URDF.  Note that the only support API for\
      \ the stack\n     is the tutorial for calibrating the PR2. All of the internal\
      \ APIs are not\n     considered to be stable."
    'license': 'BSD'
    'name': 'pr2_calibration'
    'packages':
    - 'dense_laser_assembler'
    - 'pr2_calibration_estimation'
    - 'pr2_dense_laser_snapshotter'
    - 'image_cb_detector'
    - 'laser_joint_processor'
    - 'laser_cb_detector'
    - 'pr2_calibration_launch'
    - 'joint_states_settler'
    - 'pr2_calibration_executive'
    - 'laser_joint_projector'
    - 'pr2_se_calibration_launch'
    - 'pr2_calibration_propagation'
    - 'monocam_settler'
    - 'calibration_msgs'
    - 'settlerlib'
    - 'interval_intersection'
    'repository-actual': 'pr2_calibration'
    'rosinstall':
      'hg': &id017
        'local-name': 'pr2_calibration'
        'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
        'version': 'pr2_calibration-1.2.0'
    'rosinstalls':
      'devel':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric_trunk'
      'distro':
        'hg':
          'local-name': 'pr2_calibration'
          'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
          'version': 'electric'
      'release':
        'hg': *id017
    'url': 'http://ros.org/wiki/pr2_calibration'
    'vcs_uri': 'https://kforge.ros.org/calibration/pr2_calibration'
'vcs':
  'type': 'hg'
  'uri': 'https://kforge.ros.org/calibration/pr2_calibration'
